import http from '@/http'

export const getExpertList = data => http.post('/api/v1/expert/expert-library/list', data) // 专家库列表
export const expertSignUp = data => http.post('/api/v1/expert/basic-info-submit', data) // 填写基本信息接口(专家报名使用)
export const expertEdit = data => http.post('/api/v1/expert/basic-info-modify', data) // 专家信息编辑
export const getDictionaryList = data => http.post('/api/v1/meta/tag-tyoe/list', data) // 获取字典数据 这个接口是看，都有哪些字典数据用的
export const getDictionaryTree = data => http.post('/api/v1/meta/tag', data) // 获取专家标签的树状结构
export const getDeputyActivityRecord = params => http.get('/api/v1/meeting/expert/meetingList', { params }) // 履职记录 | 专家会议列表
export const zzdInfo = data => http.post('/api/v1/expert/get-zzd-info', data) // 获取浙政钉用户信息
export const registration = data => http.post('/api/v1/expert/registration', data) // 专家报名
export const judgeSubmit = data => http.post('/api/v1/meeting/expert-judge/submit', data) // 履职评价
export const judgeDetail = meetingExpertId => http.get(`/api/v1/meeting/expert-judge/detail/${meetingExpertId}`) // 查看履职评价
export const delivery = userId => http.post(`/api/v1/expert/delivery/${userId}`) // 删除
export const modifyApply = data => http.post('/api/v1/expert/modify-apply', data) // 专家信息编辑申请

